Package org.eclipse.emf.compare.rcp.ui.internal.preferences

# Class DataHolder<T>

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.preferences.DataHolder<T>

Type Parameters:
  `T` - Type of the item descriptor.

public class DataHolder<T> extends Object
POJO used to hold data from preference page.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATA_FIELD_NAME`
Field name (used for databinding).

## Constructor Summary

Constructors
Constructor
Description
`DataHolder()`

## Method Summary

Modifier and Type
Method
Description
`Set<IItemDescriptor<T>>`
`getData()`
Get data.
`void`
`setData(Set<IItemDescriptor<T>> currentSelection)`
Set data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATA_FIELD_NAME

public static final String DATA_FIELD_NAME
Field name (used for databinding).

See Also:
  - Constant Field Values

## Constructor Details

### DataHolder

public DataHolder()

## Method Details

### getData

public Set<IItemDescriptor<T>> getData()
Get data.

Returns:
  Setinvalid input: '<'IItemDescriptor<T>>

### setData

public void setData(Set<IItemDescriptor<T>> currentSelection)
Set data.

Parameters:
  `currentSelection` - .